package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Arrays;

/**
 * 学校对象 mall_school
 *
 * @author lsm
 * @date 2023-10-18
 */

public class MallSchool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学校主键ID */
    // @Excel(name = "学校主键ID")
    private Long schoolId;

    /** 学校名 */
    @Excel(name = "学校名")
    private String schoolName;

    /** 学校图标 */
    // @Excel(name = "学校图标")
    private String schoolIcon;

    /** 学校背景图 */
    // @Excel(name = "学校背景图")
    private String backgroundImage;

    /** 学校简要介绍 */
    // @Excel(name = "学校简要介绍")
    private String schoolIntroduce;

    /** 简要介绍缩略 */
    private String schoolIntroduceShort;

    /** 学校编号 */
    @Excel(name = "学校编号")
    private String schoolNumber;

    /** 办学层次id */
    private Long configLevelId;

    /** 办学层次 */
    @Excel(name = "办学层次")
    private String configLevelName;

    /** 学校类型ID */
    // @Excel(name = "学校类型ID")
    private Long configTypeId;

    /** 学校类型名（例：综合类、理工类等） */
    @Excel(name = "学校类型")
    private String configTypeName;

    /** 办学机构：0-公办，1-民办，3-中外合作办学，4其他 */
    @Excel(name = "办学机构", readConverterExp = "0=公办,1=民办,3=中外合作办学,4=其他")
    private String schoolInstitution;

    /** 主管部门（教育部、各地市） */
    @Excel(name = "主管部门")
    private String competentDepartment;

    /** 省份ID */
    // @Excel(name = "省份ID")
    private Long provinceId;

    /** 省份名 */
    @Excel(name = "省份名")
    private String provinceName;

    /** 城市ID */
    // @Excel(name = "城市ID")
    private Long cityId;

    /** 城市名 */
    @Excel(name = "城市名")
    private String cityName;

    /** 区县ID */
    // @Excel(name = "区县ID")
    private Long areaId;

    /** 区县名 */
    // @Excel(name = "区县名")
    private String areaName;

    /** 地址 */
    // @Excel(name = "地址")
    private String address;

    /** 备注 */
    // @Excel(name = "备注")
    private String remarks;

    /** 标签集合 */
    // @Excel(name = "标签集合")
    private String tags;

    /** 学校官网 */
    // @Excel(name = "学校官网")
    private String schoolWeb;

    /** 招生电话 */
    // @Excel(name = "招生电话")
    private String acceptPhone;

    /** 学校邮箱 */
    // @Excel(name = "学校邮箱")
    private String schoolMail;

    /** 创办时间 */
    // @Excel(name = "创办时间")
    private String schoolBirthday;

    /** 占地面积 */
    // @Excel(name = "占地面积")
    private String areaSize;


    /** 男比例 */
    // @Excel(name = "男比例")
    private BigDecimal maleRatio;

    /** 女比例 */
    // @Excel(name = "女比例")
    private BigDecimal femaleRatio;

    /** 保研率 */
    // @Excel(name = "保研率")
    private BigDecimal postgraduateRatio;

    /** 就业率 */
    // @Excel(name = "就业率")
    private BigDecimal offerRatio;

    /** 转专业情况*/
    // @Excel(name = "转专业情况")
    private String changeMajorRatio;

    /**硕士点位 */
    // @Excel(name = "硕士点位")
    private Integer mastersDegree;

    /** 硕士点数类型 */
    private String mastersDegreeType;

    /**硕士点详情*/
    private String mastersDegreeDetail;
    /**博士点位 */
    // @Excel(name = "博士点位")
    private Integer doctorate;

    /** 博士点数类型 */
    private String doctorateType;
    /**博士点详情*/
    private String doctorateDetail;
    /**王牌专业 */
    // @Excel(name = "优势专业")
    private String ace;

    /** 是否新招院校  */
    private Integer isNewAccept;

    /** 是否有新招专业 */
    private Integer hasNewLink;

    /**综合实力排名(软科为主）*/
    // @Excel(name = "综合实力排名(软科）")
    private String ranking;

    /** 创建时间 */
    // @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    // @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    // @Excel(name = "删除标记：0-正常，1-删除")
    private String delFlag;

    /** 批次id数组 */
    private Long[] batchList;


    /** 推荐度id */
    private Long suggestId;

    /** 定位id */
    private Long positionId;

    /** 学校录取前提*/
    private String acceptPremise;

    /** 学科评估 */
    private String contentOne;

    /** 专业评估 */
    private String contentTwo;

    /** 是否招生变化 */
    private Integer isChange;

    /** 是否公布 */
    private Integer noPlan;

    /** 二维码图片 */
    private String qrCode;

    /** 系统用户ID */
    private Long sysUserId;

    /** 账号 */
    private String sysUserName;

    /** 密码 */
    private String sysUserPassword;

    /** 系统用户帐号状态（0-正常，1-停用） */
    private Integer sysUserStatus;

    public Integer getSysUserStatus() {
        return sysUserStatus;
    }

    public void setSysUserStatus(Integer sysUserStatus) {
        this.sysUserStatus = sysUserStatus;
    }

    public String getSysUserName() {
        return sysUserName;
    }

    public void setSysUserName(String sysUserName) {
        this.sysUserName = sysUserName;
    }

    public String getSysUserPassword() {
        return sysUserPassword;
    }

    public void setSysUserPassword(String sysUserPassword) {
        this.sysUserPassword = sysUserPassword;
    }

    public Long getSysUserId() {
        return sysUserId;
    }

    public void setSysUserId(Long sysUserId) {
        this.sysUserId = sysUserId;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public Integer getNoPlan() {
        return noPlan;
    }

    public void setNoPlan(Integer noPlan) {
        this.noPlan = noPlan;
    }

    public Integer getIsNewAccept() {
        return isNewAccept;
    }

    public void setIsNewAccept(Integer isNewAccept) {
        this.isNewAccept = isNewAccept;
    }

    public Integer getHasNewLink() {
        return hasNewLink;
    }

    public void setHasNewLink(Integer hasNewLink) {
        this.hasNewLink = hasNewLink;
    }

    public Integer getIsChange() {
        return isChange;
    }

    public void setIsChange(Integer isChange) {
        this.isChange = isChange;
    }

    public String getMastersDegreeType() {
        return mastersDegreeType;
    }

    public void setMastersDegreeType(String mastersDegreeType) {
        this.mastersDegreeType = mastersDegreeType;
    }

    public String getDoctorateType() {
        return doctorateType;
    }

    public void setDoctorateType(String doctorateType) {
        this.doctorateType = doctorateType;
    }

    public String getContentOne() {
        return contentOne;
    }

    public void setContentOne(String contentOne) {
        this.contentOne = contentOne;
    }

    public String getContentTwo() {
        return contentTwo;
    }

    public void setContentTwo(String contentTwo) {
        this.contentTwo = contentTwo;
    }

    public Long getSuggestId() {
        return suggestId;
    }

    public void setSuggestId(Long suggestId) {
        this.suggestId = suggestId;
    }

    public Long getPositionId() {
        return positionId;
    }

    public void setPositionId(Long positionId) {
        this.positionId = positionId;
    }

    public String getConfigLevelName() {
        return configLevelName;
    }

    public void setConfigLevelName(String configLevelName) {
        this.configLevelName = configLevelName;
    }

    public Long getConfigLevelId() {
        return configLevelId;
    }

    public void setConfigLevelId(Long configLevelId) {
        this.configLevelId = configLevelId;
    }

    public Long[] getBatchList() {
        return batchList;
    }

    public void setBatchList(Long[] batchList) {
        this.batchList = batchList;
    }

    public String getChangeMajorRatio() {
        return changeMajorRatio;
    }

    public void setChangeMajorRatio(String changeMajorRatio) {
        this.changeMajorRatio = changeMajorRatio;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getSchoolIcon() {
        return schoolIcon;
    }

    public void setSchoolIcon(String schoolIcon) {
        this.schoolIcon = schoolIcon;
    }

    public String getBackgroundImage() {
        return backgroundImage;
    }

    public void setBackgroundImage(String backgroundImage) {
        this.backgroundImage = backgroundImage;
    }

    public String getSchoolIntroduce() {
        return schoolIntroduce;
    }

    public void setSchoolIntroduce(String schoolIntroduce) {
        this.schoolIntroduce = schoolIntroduce;
    }

    public String getSchoolIntroduceShort() {
        return schoolIntroduceShort;
    }

    public void setSchoolIntroduceShort(String schoolIntroduceShort) {
        this.schoolIntroduceShort = schoolIntroduceShort;
    }

    public String getSchoolNumber() {
        return schoolNumber;
    }

    public void setSchoolNumber(String schoolNumber) {
        this.schoolNumber = schoolNumber;
    }

    public Long getConfigTypeId() {
        return configTypeId;
    }

    public void setConfigTypeId(Long configTypeId) {
        this.configTypeId = configTypeId;
    }

    public String getConfigTypeName() {
        return configTypeName;
    }

    public void setConfigTypeName(String configTypeName) {
        this.configTypeName = configTypeName;
    }

    public String getSchoolInstitution() {
        return schoolInstitution;
    }

    public void setSchoolInstitution(String schoolInstitution) {
        this.schoolInstitution = schoolInstitution;
    }

    public String getCompetentDepartment() {
        return competentDepartment;
    }

    public void setCompetentDepartment(String competentDepartment) {
        this.competentDepartment = competentDepartment;
    }

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public String getSchoolWeb() {
        return schoolWeb;
    }

    public void setSchoolWeb(String schoolWeb) {
        this.schoolWeb = schoolWeb;
    }

    public String getAcceptPhone() {
        return acceptPhone;
    }

    public void setAcceptPhone(String acceptPhone) {
        this.acceptPhone = acceptPhone;
    }

    public String getSchoolMail() {
        return schoolMail;
    }

    public void setSchoolMail(String schoolMail) {
        this.schoolMail = schoolMail;
    }

    public String getSchoolBirthday() {
        return schoolBirthday;
    }

    public void setSchoolBirthday(String schoolBirthday) {
        this.schoolBirthday = schoolBirthday;
    }

    public String getAreaSize() {
        return areaSize;
    }

    public void setAreaSize(String areaSize) {
        this.areaSize = areaSize;
    }

    public BigDecimal getMaleRatio() {
        return maleRatio;
    }

    public void setMaleRatio(BigDecimal maleRatio) {
        this.maleRatio = maleRatio;
    }

    public BigDecimal getFemaleRatio() {
        return femaleRatio;
    }

    public void setFemaleRatio(BigDecimal femaleRatio) {
        this.femaleRatio = femaleRatio;
    }

    public BigDecimal getPostgraduateRatio() {
        return postgraduateRatio;
    }

    public void setPostgraduateRatio(BigDecimal postgraduateRatio) {
        this.postgraduateRatio = postgraduateRatio;
    }

    public BigDecimal getOfferRatio() {
        return offerRatio;
    }

    public void setOfferRatio(BigDecimal offerRatio) {
        this.offerRatio = offerRatio;
    }

    public String getCreateAt() {
        return createAt;
    }

    public void setCreateAt(String createAt) {
        this.createAt = createAt;
    }

    public String getUpdateAt() {
        return updateAt;
    }

    public void setUpdateAt(String updateAt) {
        this.updateAt = updateAt;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getMastersDegree() {
        return mastersDegree;
    }

    public void setMastersDegree(Integer mastersDegree) {
        this.mastersDegree = mastersDegree;
    }

    public Integer getDoctorate() {
        return doctorate;
    }

    public void setDoctorate(Integer doctorate) {
        this.doctorate = doctorate;
    }

    public String getAce() {
        return ace;
    }

    public void setAce(String ace) {
        this.ace = ace;
    }

    public String getRanking() {
        return ranking;
    }

    public void setRanking(String ranking) {
        this.ranking = ranking;
    }

    public String getMastersDegreeDetail() {
        return mastersDegreeDetail;
    }

    public void setMastersDegreeDetail(String mastersDegreeDetail) {
        this.mastersDegreeDetail = mastersDegreeDetail;
    }

    public String getDoctorateDetail() {
        return doctorateDetail;
    }

    public void setDoctorateDetail(String doctorateDetail) {
        this.doctorateDetail = doctorateDetail;
    }

    public String getAcceptPremise() {
        return acceptPremise;
    }

    public void setAcceptPremise(String acceptPremise) {
        this.acceptPremise = acceptPremise;
    }

    @Override
    public String toString() {
        return "MallSchool{" +
                "schoolId=" + schoolId +
                ", schoolName='" + schoolName + '\'' +
                ", schoolIcon='" + schoolIcon + '\'' +
                ", backgroundImage='" + backgroundImage + '\'' +
                ", schoolIntroduce='" + schoolIntroduce + '\'' +
                ", schoolIntroduceShort='" + schoolIntroduceShort + '\'' +
                ", schoolNumber='" + schoolNumber + '\'' +
                ", configTypeId=" + configTypeId +
                ", configTypeName='" + configTypeName + '\'' +
                ", schoolInstitution='" + schoolInstitution + '\'' +
                ", competentDepartment='" + competentDepartment + '\'' +
                ", provinceId=" + provinceId +
                ", provinceName='" + provinceName + '\'' +
                ", cityId=" + cityId +
                ", cityName='" + cityName + '\'' +
                ", areaId=" + areaId +
                ", areaName='" + areaName + '\'' +
                ", address='" + address + '\'' +
                ", remarks='" + remarks + '\'' +
                ", tags='" + tags + '\'' +
                ", schoolWeb='" + schoolWeb + '\'' +
                ", acceptPhone='" + acceptPhone + '\'' +
                ", schoolMail='" + schoolMail + '\'' +
                ", schoolBirthday='" + schoolBirthday + '\'' +
                ", areaSize='" + areaSize + '\'' +
                ", maleRatio=" + maleRatio +
                ", femaleRatio=" + femaleRatio +
                ", postgraduateRatio=" + postgraduateRatio +
                ", offerRatio=" + offerRatio +
                ", changeMajorRatio='" + changeMajorRatio + '\'' +
                ", mastersDegree=" + mastersDegree +
                ", mastersDegreeDetail='" + mastersDegreeDetail + '\'' +
                ", doctorate=" + doctorate +
                ", doctorateDetail='" + doctorateDetail + '\'' +
                ", ace='" + ace + '\'' +
                ", ranking='" + ranking + '\'' +
                ", createAt='" + createAt + '\'' +
                ", updateAt='" + updateAt + '\'' +
                ", delFlag='" + delFlag + '\'' +
                ", batchList=" + Arrays.toString(batchList) +
                ", configLevelId=" + configLevelId +
                ", configLevelName='" + configLevelName + '\'' +
                ", suggestId=" + suggestId +
                ", positionId=" + positionId +
                ", acceptPremise='" + acceptPremise + '\'' +
                '}';
    }
}
